//---------------------------------------------------------------------------
#ifndef commonH
#define commonH
//---------------------------------------------------------------------------
#define PROG_NAME             "QuidoScr"
#define PROG_VERSION          0x11
#define PROG_AUTHOR           "Roman Borik 08/2010,03/2011"

//---------------------------------------------------------------------------
#define BYTE                  unsigned char
#define WORD                  unsigned short int
#define BOOL                  int
#define FALSE                 0
#define TRUE                  !FALSE

//---------------------------------------------------------------------------
#define PACK_MODE_1           1
#define PACK_MODE_2           2
#define PACK_MODE_3           4
#define PACK_MODE_4           8
#define MIN_FILE_LENGTH       16384
#define MAX_FILE_LENGTH       16384

//---------------------------------------------------------------------------
#define ERR_OK                0
#define ERR_PRINT_USAGE       -1
#define ERR_PRINT_VERSION     -2
#define ERR_BAD_OPTIONS       -3
#define ERR_BAD_PACK_MODE     -4
#define ERR_OPEN_SRC_FILE     -5
#define ERR_ACCESS_SRC_FILE   -6
#define ERR_LENGTH_SRC_FILE   -7
#define ERR_BAD_LEN_SRC_FILE  -8
#define ERR_READ_SRC_FILE     -9
#define ERR_OPEN_DEST_FILE    -10
#define ERR_ACCESS_DEST_FILE  -11
#define ERR_WRITE_DEST_FILE   -12
#define ERR_BAD_ADDRESS       -13
#define ERR_BAD_LINE_VALUE    -14
#define ERR_BAD_LINES_RANGE   -15
#define ERR_INEFFECTIVE       -16
#define ERR_NO_INPUT_FILE     -17
#define ERR_INPUT_FILE_MORE   -18
#define ERR_OUTPUT_FILE_MORE  -19

//---------------------------------------------------------------------------
// pack.c
int pack(BYTE *buffOut, BYTE *buffIn, int firstLine, int lastLine, int packMode);

// pmdtape.c
void getRoutinesLength(int *len);
void constructBin(BYTE **out, BYTE *packed, int packLen, int mode,
                  int unpackRtnAddr, int lineAdr);
void constructCode(BYTE **out, BYTE *packed, int packLen, int mode,
                   int unpackRtnAddr, int lineAdr, char *name);

//---------------------------------------------------------------------------
#endif
//---------------------------------------------------------------------------

 